Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class FileUploadBase.UnknownSizeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.fileupload.FileUploadException
                  org.apache.commons.fileupload.FileUploadBase.UnknownSizeException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FileUploadBase

Deprecated. As of commons-fileupload 1.2, the presence of a content-length header is no longer required.

    public static class FileUploadBase.UnknownSizeException

extends FileUploadException

Thrown to indicate that the request size is not specified. In other words, it is thrown, if the content-length header is missing or contains the value -1.

See Also:
  Serialized Form

Constructor Summary
`FileUploadBase.UnknownSizeException()` Deprecated. Constructs a `UnknownSizeException` with no detail message.
`FileUploadBase.UnknownSizeException(java.lang.String message)` Deprecated. Constructs an `UnknownSizeException` with the specified detail message.

Method Summary

Methods inherited from class org.apache.commons.fileupload.FileUploadException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadBase.UnknownSizeException

    public FileUploadBase.UnknownSizeException()

  Deprecated.
  Constructs a `UnknownSizeException` with no detail message.

### FileUploadBase.UnknownSizeException

    public FileUploadBase.UnknownSizeException(java.lang.String message)

  Deprecated.
  Constructs an `UnknownSizeException` with the specified detail message.

  Parameters:
    `message` - The detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.